﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;
using System.Collections.ObjectModel;

namespace WpfApplication1
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			ObservableCollection<BaseItem> checkedItems = new ObservableCollection<BaseItem>();
			ObservableCollection<Family> families = treeView1.ItemsSource as ObservableCollection<Family>;
			foreach (Family family in families)
			{
				if (family.IsChecked)
				{
					checkedItems.Add(family);
				}

				foreach (Member member in family.Members)
				{
					if (member.IsChecked)
					{
						checkedItems.Add(member);
					}
				}
			}

			CheckedItemsList.ItemsSource = checkedItems;
		}
	}
}
