﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using System.Windows.Automation;

namespace WpfApplication1
{
	public class CheckStateConverter : IValueConverter
	{
		public object Convert(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			bool isChecked = (bool)value;

			if (isChecked)
			{
				return ToggleState.On;
			}
			else
			{
				return ToggleState.Off;
			}
		}

		public object ConvertBack(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			ToggleState checkState = (ToggleState)value;

			if (checkState == ToggleState.On)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
	}
}
